<template>
  <div class="sidenav-container">
    <div class="sidenav-backdrop" @click="$emit('close-sidenav')"></div>
    <div class="sidenav">
      <ul class="navbar-links">
        <li
          v-for="item in $siteConfig.mainMenu"
          :key="item.link"
          class="navbar-item"
          @click="$emit('close-sidenav')"
        >
          <nuxt-link :to="item.link">{{ item.name }}</nuxt-link>
        </li>
        <li v-if="isLoggedIn" class="navbar-item">
          <AppButton @click="logout">Logout</AppButton>
        </li>
        <li v-else class="navbar-item">
          <nuxt-link to="/admin/auth" @click="$emit('close-sidenav')"
            >Login</nuxt-link
          >
        </li>
      </ul>
    </div>
  </div>
</template>
<script>
export default {
  computed: {
    isLoggedIn() {
      return this.$store.state.auth.token
    },
  },
  mounted() {
    this.$store.dispatch('auth/validateAuth')
  },
  methods: {
    logout() {
      this.$store.dispatch('auth/logout').then(() => {
        this.$router.push('/admin/auth')
      })
    },
  },
}
</script>
<style scoped>
.sidenav-container {
  height: 100%;
  width: 100%;
}
.sidenav-backdrop {
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 1000;
  position: fixed;
  top: 0;
  left: 0;
}
.sidenav {
  height: 100%;
  width: 300px;
  background-color: #eee;
  z-index: 10000;
  position: fixed;
  top: 0;
  left: 0;
  box-sizing: border-box;
}
.navbar-links {
  list-style: none;
  background-color: #eee;
  font-size: 16px;
  padding: 5px;
}
.navbar-links li {
  padding: 10px;
}
.navbar-links li a {
  text-decoration: none;
}
</style>
